%define subrel 1

Name: kdeartwork4
Summary: K Desktop Environment
Version: 4.2.4
Release: %mkrel 0
Epoch: 1
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeartwork-%version.tar.bz2
Patch0: slideshow-crossfade_and_effects.patch
Patch1: kdeartwork-4.1.70-fix-build.patch
Buildroot: %_tmppath/%name-%version-%release-root
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: kdebase4-devel  >= %version
BuildRequires: bzip2-devel 
BuildRequires: libintl 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel
BuildRequires: png-devel 
BuildRequires: libz-devel 
BuildRequires: xscreensaver
BuildRequires: xscreensaver-gl
BuildRequires: xscreensaver-base
BuildRequires: mesaglut-devel
BuildRequires: mesaglu-devel
BuildRequires: kdebase4-workspace-devel >= %version
Suggests: %{name}-emoticons
Suggests: %{name}-kscreensaver
Suggests: %{name}-sounds
Suggests: %{name}-styles
Suggests: %{name}-wallpapers
Suggests: %{name}-color-schemes
Obsoletes: kdeartwork4-core

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.

%files
%defattr(-,root,root,-)
%doc README

#-------------------------------------------------------------------------

%package icons-theme-kdeclassic
Summary:  Default Icons from kde4
Group: Graphical desktop/KDE
Obsoletes: kdeartwork-icons-theme-kdeclassic <= 3.5.9-6

%description icons-theme-kdeclassic
Kdeclassic icons theme

%files icons-theme-kdeclassic
%defattr(-,root,root,-)
%_kde_iconsdir/kdeclassic

#-------------------------------------------------------------------------

%package emoticons
Summary: %{name} emoticons
Group: Graphical desktop/KDE

%description emoticons
%{name} emoticons.

%files emoticons
%defattr(-,root,root)
%_kde_datadir/emoticons/*

#-------------------------------------------------------------------------

%package sounds
Summary: %{name} sounds
Group: Graphical desktop/KDE

%description sounds
%{name} sounds.

%files sounds
%defattr(-,root,root)
%_kde_datadir/sounds/KDE_Logout_new.wav
%_kde_datadir/sounds/KDE_Startup_new.wav

#-------------------------------------------------------------------------

%package styles
Summary: %{name} styles
Group: Graphical desktop/KDE

%description styles
%{name} styles.

%files styles
%defattr(-,root,root)
%_kde_appsdir/kstyle
%_kde_libdir/kde4/kstyle_phase_config.so
%_kde_libdir/kde4/plugins/styles/phasestyle.so

#-------------------------------------------------------------------------

%package color-schemes
Summary: %{name} color schemes
Group: Graphical desktop/KDE

%description color-schemes
%{name} color schemes.

%files color-schemes
%defattr(-,root,root)
%_kde_appsdir/color-schemes

#-------------------------------------------------------------------------

%package wallpapers
Summary: %{name} wallpapers
Group: Graphical desktop/KDE

%description wallpapers
%{name} wallpapers.

%files wallpapers
%defattr(-,root,root)
%_kde_datadir/wallpapers/*

#-----------------------------------------------------------------------------

%package -n plasma-desktoptheme-heron
Summary: Plasma heron desktopthemes
Group: Graphical desktop/KDE
Provides: plasma-desktoptheme
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-desktoptheme-heron
Plasma heron desktopthemes.

%files -n plasma-desktoptheme-heron
%defattr(-,root,root)
%_kde_appsdir/desktoptheme/heron

#-----------------------------------------------------------------------------

%package -n plasma-desktoptheme-aya
Summary: Plasma aya desktopthemes
Group: Graphical desktop/KDE
Provides: plasma-desktoptheme
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-desktoptheme-aya
Plasma aya desktopthemes.

%files -n plasma-desktoptheme-aya
%defattr(-,root,root)
%_kde_appsdir/desktoptheme/Aya

#-----------------------------------------------------------------------------

%package -n plasma-desktoptheme-slim-glow
Summary: Plasma slim-glow desktopthemes
Group: Graphical desktop/KDE
Provides: plasma-desktoptheme
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-desktoptheme-slim-glow
Plasma slim-glow desktopthemes.

%files -n plasma-desktoptheme-slim-glow
%defattr(-,root,root)
%_kde_appsdir/desktoptheme/slim-glow

#-----------------------------------------------------------------------------

%package -n plasma-desktoptheme-silicon
Summary: Plasma silicon desktopthemes
Group: Graphical desktop/KDE
Provides: plasma-desktoptheme
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-desktoptheme-silicon
Plasma silicon desktopthemes.

%files -n plasma-desktoptheme-silicon
%defattr(-,root,root)
%_kde_appsdir/desktoptheme/Silicon

#-----------------------------------------------------------------------------

%package -n plasma-desktoptheme-elegance
Summary: Plasma elegance desktopthemes
Group: Graphical desktop/KDE
Provides: plasma-desktoptheme
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-desktoptheme-elegance
Plasma elegance desktopthemes.

%files -n plasma-desktoptheme-elegance
%defattr(-,root,root)
%_kde_appsdir/desktoptheme/Elegance

#-----------------------------------------------------------------------------

%package -n plasma-desktoptheme-clean-blend
Summary: Plasma Clean-Blend desktopthemes
Group: Graphical desktop/KDE
Provides: plasma-desktoptheme
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-desktoptheme-clean-blend
Plasma Clean-Blend desktopthemes.

%files -n plasma-desktoptheme-clean-blend
%defattr(-,root,root)
%_kde_appsdir/desktoptheme/Clean-Blend

#-----------------------------------------------------------------------------

%package kscreensaver
Summary: %{name} kscreensaver
Group: Graphical desktop/KDE
Obsoletes: kdeartwork-screensavers <= 3.5.9-6

%description kscreensaver
%{name} kscreensaver.

%files kscreensaver
%defattr(-,root,root)
%_kde_appsdir/kfiresaver
%_kde_appsdir/kscreensaver
%_kde_bindir/*.kss
%_kde_datadir/kde4/services/ScreenSavers/*
%_kde_bindir/kxsconfig
%_kde_bindir/kxsrun

#-------------------------------------------------------------------------

%prep
%setup -q -n kdeartwork-%version
%patch0 -p1 -b .effects
%patch1 -p1

%build
%cmake_kde4

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Fri May 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.4-0.1mdv2009.0
+ Revision: 381149
- Major KDE 4.2.4 update
- Major KDE 4.2.3 update

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

* Sat Nov 29 2008 Security Team <security@mandriva.com> 1:4.1.3-1.1mdv2009.0
+ Revision: 307770
- + Revision: 300295
  Official KDE 4.1.3 update.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.

  + root <root>
    - Branching 2009.0 release for updates.

* Tue Sep 30 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:4.1.2-2mdv2009.0
+ Revision: 290198
- Remove unused patches
- Fix the crossfade effect by processing it offscreen before drawing onscreen

* Sat Sep 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288842
- KDE 4.1.2 arriving.

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-1mdv2009.0
+ Revision: 277844
- Upgrade to forthcoming 4.1.1 packages

* Tue Aug 26 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 1:4.1.0-4mdv2009.0
+ Revision: 276238
- Added some pre-effects to kscreensaver

* Wed Aug 13 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 1:4.1.0-3mdv2009.0
+ Revision: 271431
- Added "Use crossfade effect" option to slideshow screensaver setup.

* Mon Aug 11 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 1:4.1.0-2mdv2009.0
+ Revision: 270772
- Added crossfade transiction effect

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-1mdv2009.0
+ Revision: 247602
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.98-1mdv2009.0
+ Revision: 233194
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.85-1mdv2009.0
+ Revision: 232433
- New version kde 4.0.85

* Sun Jun 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-1mdv2009.0
+ Revision: 230059
- Fix BuildRequires

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with new snapshot tarballs 4.0.84
    - Screensavers are back

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 226098
- Update with new snapshot tarballs 4.0.83
- Update with new snapshot tarballs 4.0.82
- Update with new snapshot tarballs 4.0.81

* Sun May 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-2mdv2009.0
+ Revision: 211069
- Versionnate BuildRequires

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 1:4.0.74-1mdv2009.0
+ Revision: 208071
- New version 4.0.74

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.73-1mdv2009.0
+ Revision: 204751
- Update to kde 4.0.73

* Wed May 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-1mdv2009.0
+ Revision: 202767
- Fix File list
- Update to kde 4.0.72
- New snapshot 4.0.70
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191015
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182259
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177462
- New upstream bugfix release 4.0.2

* Mon Feb 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 165438
- Update for 4.0.1

* Sun Jan 13 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-2mdv2008.1
+ Revision: 151023
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - should require with epoch

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.751522.1mdv2008.1
+ Revision: 137446
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.746274.1mdv2008.1
+ Revision: 117167
- New snapshot

* Sat Dec 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.743525.2mdv2008.1
+ Revision: 114250
- New snapshot

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.739275.2mdv2008.1
+ Revision: 111564
- New snapshot
- KDE4 RC1

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.728852.2mdv2008.1
+ Revision: 102184
- Fix BuildRequires
- New snapshot
- New snapshot for Beta2
  [BUGFIX] Fix Requires (Bug #32991)

* Tue Aug 07 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.697235.1mdv2008.0
+ Revision: 59881
- Updating to revision 697235
- Update for revision 694291

  + Laurent Montel <lmontel@mandriva.org>
    - new snapshot
    - it compiles with enable-final
    - new snapshot


* Thu Jan 25 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070123.1mdv2007.0
+ Revision: 113088
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070117.1mdv2007.1
+ Revision: 110238
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070109.1mdv2007.1
+ Revision: 106997
- Update
- Fix file list

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070103.1mdv2007.1
+ Revision: 104119
- Update
- Import kdeartwork4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-1mdv2007.0
- First package

